	(function($){
$.fn.extend({
        Scroll:function(opt,callback){
                
				 var   timerID;
                if(!opt) var opt={};
                var _this=this.eq(0).find("ul:first");
                var        lineH=_this.find("li:first").height(), 
                        line=opt.line?parseInt(opt.line,10):parseInt(this.height()/lineH,10), 
                        speed=opt.speed?parseInt(opt.speed,10):500,
                        timer=opt.timer?parseInt(opt.timer,10):3000; 
                if(line==0) line=1;
                var upHeight=0-line*lineH;
              
                scrollUp=function(){
                        _this.animate({
                                marginTop:upHeight
                        },speed,function(){
                                for(i=1;i<=line;i++){
                                        _this.find("li:first").appendTo(_this);
                                }
                                _this.css({marginTop:0});
                        });
                }
				 timerID=setInterval("scrollUp()",timer);
                
                _this.hover(function(){
                        clearInterval(timerID);
                },function(){
                       timerID=setInterval("scrollUp()",timer);
                }).mouseout();
        }       
})
})(jQuery);
	$(document).ready(function() {
		 $("#select_SType").selectbox();
		 $("#scrollDiv").Scroll({line:25,speed:25,timer:3000});
			 $.ajax({
	   type: "Get",
	   cache: false,
	   url: "/Action.asp",
	   data: "ActionType=0",
	   success: function(msg){		
	    $("#TopUserInfo").append(msg); 
	   }
		  }); 
		 $.ajax({
	   type: "Get",
	   cache: false,
	   url: "/Action.asp",
	   data: "ActionType=1",
	   success: function(msg){	
	    if ($.trim(msg)!=""){
	    $("#SiteNotice").html(msg);
		$("#SiteNotice").show("slow");
		}
	   }
		  });
		 $.ajax({
	   type: "Get",
	   cache: false,
	   url: "/Action.asp",
	   data: "ActionType=3",
	   success: function(msg){	
	    if ($.trim(msg)!=""){
	    $("#UserPanel").show();
		$("#UserPanelBody").html(msg);
		}
	   }
		  });
		 
	});
	
	  $.ajax({
	   type: "Get",
	   cache: false,
	   url: "/Action.asp",
	   data: "ActionType=2",
	   success: function(msg){		     
	    $("#RecommendedNews").html(msg); 
	   }
		  });